Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.event
Class SnapshotEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.access.event.SnapshotEvent

All Implemented Interfaces:
  java.io.Serializable

    public class SnapshotEvent

extends CayenneEvent

Event sent on modification of the DataRowStore.

Since:
  1.1
Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.util.Collection` | `deletedIds`
`protected java.util.Collection` | `indirectlyModifiedIds`
`protected java.util.Collection` | `invalidatedIds`
`protected java.util.Map` | `modifiedDiffs`
`protected long` | `timestamp`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SnapshotEvent(java.lang.Object source, java.lang.Object postedBy, java.util.Map modifiedDiffs, java.util.Collection deletedIds, java.util.Collection indirectlyModifiedIds)` Deprecated. since 1.2
`SnapshotEvent(java.lang.Object source, java.lang.Object postedBy, java.util.Map modifiedDiffs, java.util.Collection deletedIds, java.util.Collection invalidatedIds, java.util.Collection indirectlyModifiedIds)`

Method Summary
`java.util.Collection` | `getDeletedIds()`
`java.util.Collection` | `getIndirectlyModifiedIds()`
`java.util.Collection` | `getInvalidatedIds()`
`java.util.Map` | `getModifiedDiffs()`
`long` | `getTimestamp()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    protected long timestamp

### deletedIds

    protected java.util.Collection deletedIds

### invalidatedIds

    protected java.util.Collection invalidatedIds

### modifiedDiffs

    protected java.util.Map modifiedDiffs

### indirectlyModifiedIds

    protected java.util.Collection indirectlyModifiedIds

Constructor Detail

### SnapshotEvent

    public SnapshotEvent(java.lang.Object source,
                         java.lang.Object postedBy,
                         java.util.Map modifiedDiffs,
                         java.util.Collection deletedIds,
                         java.util.Collection indirectlyModifiedIds)

  Deprecated. since 1.2

### SnapshotEvent

    public SnapshotEvent(java.lang.Object source,
                         java.lang.Object postedBy,
                         java.util.Map modifiedDiffs,
                         java.util.Collection deletedIds,
                         java.util.Collection invalidatedIds,
                         java.util.Collection indirectlyModifiedIds)

Method Detail

### getTimestamp

    public long getTimestamp()

### getModifiedDiffs

    public java.util.Map getModifiedDiffs()

### getDeletedIds

    public java.util.Collection getDeletedIds()

### getInvalidatedIds

    public java.util.Collection getInvalidatedIds()

### getIndirectlyModifiedIds

    public java.util.Collection getIndirectlyModifiedIds()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.